/***************************************************************
 * Name:      fauhradadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef FAUHRADADIALOG_H
#define FAUHRADADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class FauhradaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(FauhradaDialog)
    DECLARE_EVENT_TABLE()
public:
    FauhradaDialog() : m_mainSizer(nullptr), m_uhrada(nullptr), m_pokladnou(nullptr) {}
    explicit FauhradaDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_uhrada;
    wxCheckBox *m_pokladnou;

    void createControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* FAUHRADADIALOG_H */

