/***************************************************************
 * Name:      zalohadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef ZALOHADIALOG_H
#define ZALOHADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class ZalohaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(ZalohaDialog)
    DECLARE_EVENT_TABLE()
public:
    ZalohaDialog() : m_mainSizer(nullptr) {}
    explicit ZalohaDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;

    void createControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* ZALOHADIALOG_H */

