/***************************************************************
 * Name:      kartazasobyprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef KARTAZASOBYPRINT_H
#define KARTAZASOBYPRINT_H

#include "print/documentprint.h"
#include "model/dbmodel.h"

class KartaZasobyPrint: public DocumentPrint
{
public:
    KartaZasobyPrint(wxWindow *parent, const Zasoba &zasoba);
private:
    Zasoba m_zasoba;
    void createDocument();
};

#endif  /* KARTAZASOBYPRINT_H */

