/***************************************************************
 * Name:      nahradaprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef NAHRADAPRINT_H
#define NAHRADAPRINT_H

#include "print/documentprint.h"
#include "model/dbmodel.h"

class NahradaPrint: public DocumentPrint
{
public:
    NahradaPrint(wxWindow *parent, const Jizda &jizda, double nahradaKm, double nahradaPalivo, double cenaKm, double cenaPalivo);
private:
    Jizda m_jizda;
    double m_nahradaKm;
    double m_nahradaPalivo;
    double m_cenaKm;
    double m_cenaPalivo;
    void createDocument();
};

#endif  /* NAHRADAPRINT_H */

