/***************************************************************
 * Name:      majetekzavazkyprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef MAJETEKZAVAZKYPRINT_H
#define MAJETEKZAVAZKYPRINT_H

#include "print/documentprint.h"
#include "model/dbmodel.h"
#include "veta.h"

class MajetekZavazkyPrint: public DocumentPrint
{
public:
    MajetekZavazkyPrint(wxWindow *parent, int rok, Veta veta);
private:
    int m_rok;
    Veta m_veta;

    void createDocument();
};

#endif  /* MAJETEKZAVAZKYPRINT_H */

