/***************************************************************
 * Name:      deniksloupec.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DENIKSLOUPEC_H
#define DENIKSLOUPEC_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class DenikSloupec {
public:
    DenikSloupec() : m_sloupec(-1), m_prijem(false), m_danovy(false) {}
    DenikSloupec(int sloupec, const wxString &popis, bool prijem, bool danovy);

    bool isValid() const;
    int sloupec() const;
    void setSloupec(int sloupec);
    wxString popis() const;
    void setPopis(const wxString &popis);
    bool prijem() const;
    void setPrijem(bool prijem);
    bool danovy() const;
    void setDanovy(bool danovy);
private:
    int m_sloupec;
    wxString m_popis;
    bool m_prijem;
    bool m_danovy;
};

#endif  /* ADRESA_H */

