/***************************************************************
 * Name:      fadphsazba.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "fadphsazba.h"

FaDphSazba::FaDphSazba(int sazba, double zaklad, double dph)
    : m_sazba(sazba), m_zaklad(zaklad), m_dph(dph)
{
}

int FaDphSazba::sazba() const
{
    return m_sazba;
}

void FaDphSazba::setSazba(int sazba)
{
    m_sazba = sazba;
}

double FaDphSazba::zaklad() const
{
    return m_zaklad;
}

void FaDphSazba::setZaklad(double zaklad)
{
    m_zaklad = zaklad;
}

void FaDphSazba::appendZaklad(double zaklad)
{
    m_zaklad += zaklad;
}

double FaDphSazba::dph() const
{
    return m_dph;
}

void FaDphSazba::setDph(double dph)
{
    m_dph = dph;
}

void FaDphSazba::appendDph(double dph)
{
    m_dph += dph;
}
