/***************************************************************
 * Name:      fatyp.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "fatyp.h"


FaTyp::FaTyp(int id, const wxString &typ)
    : m_id(id), m_typ(typ)
{
}

bool FaTyp::isValid() const
{
    return m_id != -1;
}

int FaTyp::id() const
{
    return m_id;
}

void FaTyp::setId(int id)
{
    m_id = id;
}

wxString FaTyp::typ() const
{
    return m_typ;
}

void FaTyp::setTyp(const wxString &typ)
{
    m_typ = typ;
}




