/***************************************************************
 * Name:      fatyp.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef FATYP_H
#define FATYP_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class FaTyp {
public:
    FaTyp() : m_id(-1) {}
    FaTyp(int id, const wxString &typ);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString typ() const;
    void setTyp(const wxString &typ);
private:
    int m_id;
    wxString m_typ;
};

#endif  /* FATYP_H */

