/***************************************************************
 * Name:      kurz.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "kurz.h"

Kurz::Kurz(int id, const wxDateTime &datum, double hodnota, const wxString &kod, bool jednotny)
    : m_id(id), m_datum(datum), m_hodnota(hodnota), m_kod(kod), m_jednotny(jednotny)
{}

bool Kurz::isValid() const
{
    return m_id != -1;
}

int Kurz::id() const
{
    return m_id;
}

void Kurz::setId(int id)
{
    m_id = id;
}

wxDateTime Kurz::datum() const
{
    return m_datum;
}

void Kurz::setDatum(const wxDateTime &datum)
{
    m_datum = datum;
}

double Kurz::hodnota() const
{
    return m_hodnota;
}

void Kurz::setHodnota(double hodnota)
{
    m_hodnota = hodnota;
}

wxString Kurz::kod() const
{
    return m_kod;
}

void Kurz::setKod(const wxString &kod)
{
    m_kod = kod;
}

bool Kurz::jednotny() const
{
    return m_jednotny;
}

void Kurz::setJednotny(bool jednotny)
{
    m_jednotny = jednotny;
}
