/***************************************************************
 * Name:      odpis.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef ODPIS_H
#define ODPIS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Odpis {
public:
    Odpis() : m_id(-1), m_rok(0), m_odpis(0.0), m_majetekid(-1) {}
    Odpis(int id, int rok, double odpis, int majetekid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    int rok() const;
    void setRok(int rok);
    double odpis() const;
    void setOdpis(double odpis);
    int majetekid() const;
    void setMajetekid(int majetekid);
private:
    int m_id;
    int m_rok;
    double m_odpis;
    int m_majetekid;
};

#endif  /* ODPIS_H */

