/***************************************************************
 * Name:      rada.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "rada.h"

Rada::Rada(const wxString &id, const wxString &popis, const wxString &prefix, int znaku, int cislo)
    : m_id(id), m_popis(popis), m_prefix(prefix), m_znaku(znaku), m_cislo(cislo)
{}

bool Rada::isValid() const
{
    return !m_id.IsEmpty();
}

wxString Rada::id() const
{
    return m_id;
}

void Rada::setId(const wxString &id)
{
    m_id = id;
}

wxString Rada::popis() const
{
    return m_popis;
}

void Rada::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString Rada::prefix() const
{
    return m_prefix;
}

void Rada::setPrefix(const wxString &prefix)
{
    m_prefix = prefix;
}

int Rada::znaku() const
{
    return m_znaku;
}

void Rada::setZnaku(int znaku)
{
    m_znaku = znaku;
}

int Rada::cislo() const
{
    return m_cislo;
}

void Rada::setCislo(int cislo)
{
    m_cislo = cislo;
}
