/***************************************************************
 * Name:      ridic.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#include "ridic.h"

Ridic::Ridic(int id, const wxString &jmeno)
    : m_id(id), m_jmeno(jmeno)
{
}

bool Ridic::isValid() const
{
    return m_id != -1;
}

int Ridic::id() const
{
    return m_id;
}

void Ridic::setId(int id)
{
    m_id = id;
}

wxString Ridic::jmeno() const
{
    return m_jmeno;
}

void Ridic::setJmeno(const wxString &jmeno)
{
    m_jmeno = jmeno;
}
