/***************************************************************
 * Name:      setings.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "settings.h"

Settings::Settings(int rok, int splatnost) : m_rok(rok), m_splatnost(splatnost)
{
}

bool Settings::isValid() const
{
    return m_rok != -1;
}

int Settings::rok() const
{
    return m_rok;
}

void Settings::setRok(int rok)
{
    m_rok = rok;
}

int Settings::splatnost() const
{
    return m_splatnost;
}

void Settings::setSplatnost(int splatnost)
{
    m_splatnost = splatnost;
}



