/***************************************************************
 * Name:      sklad.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef SKLAD_H
#define SKLAD_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Sklad {
public:
    Sklad() : m_id(-1), m_nazev(wxEmptyString), m_ocenovani(0) {}
    Sklad(int id, const wxString &nazev, const wxString &popis, int ocenovani);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString popis() const;
    void setPopis(const wxString &popis);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    int ocenovani() const;
    void setOcenovani(int ocenovani);
private:
    int m_id;
    wxString m_nazev;
    wxString m_popis;
    int m_ocenovani;
};

#endif  /* SKLAD_H */

