/***************************************************************
 * Name:      dxpage.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DXPAGE_H
#define DXPAGE_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "dxdefs.h"
#include "model/dbmodel.h"

class dxPage : public wxPanel
{
public:
    dxPage() : m_navigation(NAV_NULL) {}
    dxPage(wxWindow *parent, NAVIGATION nav) : wxPanel(parent), m_navigation(nav) {}

    NAVIGATION navigation() const { return m_navigation; }
    virtual void updateData(int id) = 0;
private:
    NAVIGATION m_navigation;
};

#endif  /* DXPAGE_H */

