/***************************************************************
 * Name:      bankovnidokladprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef BANKOVNIDOKLADPRINT_H
#define BANKOVNIDOKLADPRINT_H

#include "print/documentprint.h"
#include "model/dbmodel.h"

class BankovniDokladPrint: public DocumentPrint
{
public:
    BankovniDokladPrint(wxWindow *parent, const Denik &denik);
private:
    Denik m_denik;
    void createDocument();
};

#endif  /* BANKOVNIDOKLADPRINT_H */

