/***************************************************************
 * Name:      dphkh1vetaa3dialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHKH1VETAA3DIALOG_H
#define DPHKH1VETAA3DIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "veta.h"

class Dphkh1Vetaa3Dialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(Dphkh1Vetaa3Dialog)
    DECLARE_EVENT_TABLE()
public:
    Dphkh1Vetaa3Dialog() : m_mainSizer(nullptr), m_cEvidDd(nullptr), m_kStat(nullptr), m_vatidOdb(nullptr), m_dup(nullptr), m_osvPlneni(nullptr),
    m_dic(nullptr), m_fyzicka(nullptr), m_dNarozeni(nullptr), m_jmPrijmObch(nullptr), m_mPobytuSidlo(nullptr) {}
    Dphkh1Vetaa3Dialog(wxWindow *parent, Veta veta);

    Veta veta() const;
private:
    wxBoxSizer *m_mainSizer;
    Veta m_veta;
    wxTextCtrl *m_cEvidDd;
    wxTextCtrl *m_kStat;
    wxTextCtrl *m_vatidOdb;
    wxDatePickerCtrl *m_dup;
    wxSpinCtrlDouble *m_osvPlneni;
    wxCheckBox *m_dic;
    wxCheckBox *m_fyzicka;
    wxDatePickerCtrl *m_dNarozeni;
    wxTextCtrl *m_jmPrijmObch;
    wxTextCtrl *m_mPobytuSidlo;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnDic(wxCommandEvent& event);
    void OnFyzicka(wxCommandEvent& event);
};

#endif  /* DPHKH1VETAA3DIALOG_H */

