/***************************************************************
 * Name:      prijmyvydajedialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef PRIJMYVYDAJEDIALOG_H
#define PRIJMYVYDAJEDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "model/dbmodel.h"

class PrijmyVydajeDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PrijmyVydajeDialog)
    DECLARE_EVENT_TABLE()
public:
    PrijmyVydajeDialog() : m_mainSizer(nullptr), m_rok(nullptr), m_pausal(nullptr) {}
    explicit PrijmyVydajeDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxChoice *m_rok;
    wxCheckBox *m_pausal;

    void createControls();
    void OnPrint(wxCommandEvent& event);
    void OnClose(wxCommandEvent& event);
};

#endif  /* PRIJMYVYDAJEDIALOG_H */

