/***************************************************************
 * Name:      seznamdphprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef SEZNAMDPHPRINT_H
#define SEZNAMDPHPRINT_H

#include "print/multitableprint.h"
#include "model/dbmodel.h"

class SeznamDphPrint: public MultiTablePrint
{
public:
    SeznamDphPrint(wxWindow *parent, int mesic, int ctvrtleti, int rok);
    SeznamDphPrint(wxWindow *parent, const wxDateTime &start, const wxDateTime &end);
private:
    void createTable(const wxString &headerRightText, const wxDateTime &start, const wxDateTime &end);
    void createTableForRadky(const wxArrayString &radky, const wxDateTime &start, const wxDateTime &end, const wxString &popis1, const wxString &popis2);
};

#endif  /* SEZNAMDPHPRINT_H */

