/***************************************************************
 * Name:      tags.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "tags.h"

bool isRightFakturaTag(const wxString &line)
{
    for(size_t i=0; i<numFakturaTags; i++)
    {
        if(line.Contains(fakturaTags[i]))
            return true;
    }
    return false;
}

bool isRightFirmaTag(const wxString &line)
{
    for(size_t i=0; i<numFirmaTags; i++)
    {
        if(line.Contains(firmaTags[i]))
            return true;
    }
    return false;
}

bool isRightKontaktTag(const wxString &line)
{
    for(size_t i=0; i<numKontaktTags; i++)
    {
        if(line.Contains(kontaktTags[i]))
            return true;
    }
    return false;
}

bool isRightPolozkaTag(const wxString &line)
{
    for(size_t i=0; i<numPolozkaTags; i++)
    {
        if(line.Contains(polozkaTags[i]))
            return true;
    }
    return false;
}

bool isRightSazbaTag(const wxString &line)
{
    for(size_t i=0; i<numSazbaTags; i++)
    {
        if(line.Contains(sazbaTags[i]))
            return true;
    }
    return false;
}
