/***************************************************************
 * Name:      dphsazba.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "dphsazba.h"


DphSazba::DphSazba(int id, int sazba, int rok, bool zakladni)
    : m_id(id), m_rok(rok), m_sazba(sazba), m_zakladni(zakladni)
{
}

bool DphSazba::isValid() const
{
    return m_id != -1;
}

int DphSazba::id() const
{
    return m_id;
}

void DphSazba::setId(int id)
{
    m_id = id;
}

int DphSazba::rok() const
{
    return m_rok;
}

void DphSazba::setRok(int rok)
{
    m_rok = rok;
}

int DphSazba::sazba() const
{
    return m_sazba;
}

void DphSazba::setSazba(int sazba)
{
    m_sazba = sazba;
}

bool DphSazba::zakladni() const
{
    return m_zakladni;
}

void DphSazba::setZakladni(bool zakladni)
{
    m_zakladni = zakladni;
}


