/***************************************************************
 * Name:      dphsazba.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DPHSAZBA_H
#define DPHSAZBA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class DphSazba {
public:
    DphSazba() : m_id(-1), m_rok(0), m_sazba(0), m_zakladni(false) {}
    DphSazba(int id, int sazba, int rok, bool zakladni);

    bool isValid() const;
    int id() const;
    void setId(int id);
    int rok() const;
    void setRok(int rok);
    int sazba() const;
    void setSazba(int sazba);
    bool zakladni() const;
    void setZakladni(bool zakladni);
private:
    int m_id;
    int m_rok;
    int m_sazba;
    bool m_zakladni;
};

#endif  /* DPHSAZBA_H */

