/***************************************************************
 * Name:      druhvozidla.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#include "druhvozidla.h"

DruhVozidla::DruhVozidla(int id, const wxString &jmeno)
    : m_id(id), m_jmeno(jmeno)
{
}

bool DruhVozidla::isValid() const
{
    return m_id != -1;
}

int DruhVozidla::id() const
{
    return m_id;
}

void DruhVozidla::setId(int id)
{
    m_id = id;
}

wxString DruhVozidla::jmeno() const
{
    return m_jmeno;
}

void DruhVozidla::setJmeno(const wxString &jmeno)
{
    m_jmeno = jmeno;
}
