/***************************************************************
 * Name:      druhvozidla.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef DRUHVOZIDLA_H
#define DRUHVOZIDLA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class DruhVozidla {
public:
    DruhVozidla() : m_id(-1) {}
    DruhVozidla(int id, const wxString &jmeno);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString jmeno() const;
    void setJmeno(const wxString &jmeno);
private:
    int m_id;
    wxString m_jmeno;
};

#endif  /* DRUHVOZIDLA_H */

