/***************************************************************
 * Name:      inventura.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#include "inventura.h"

Inventura::Inventura(int id, const wxDateTime &datum, const wxString &cislo, const wxString &popis, const wxString &provedl, int skladid, int obdobirok)
    : m_id(id), m_datum(datum), m_cislo(cislo), m_popis(popis), m_provedl(provedl), m_skladid(skladid), m_obdobirok(obdobirok)
{
}

bool Inventura::isValid() const
{
    return m_id != -1;
}

int Inventura::id() const
{
    return m_id;
}

void Inventura::setId(int id)
{
    m_id = id;
}

wxDateTime Inventura::datum() const
{
    return m_datum;
}

void Inventura::setDatum(const wxDateTime &datum)
{
    m_datum = datum;
}

wxString Inventura::cislo() const
{
    return m_cislo;
}

void Inventura::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString Inventura::popis() const
{
    return m_popis;
}

void Inventura::setPopis(const wxString &popis)
{
    m_popis = popis;
}

int Inventura::obdobirok() const
{
    return m_obdobirok;
}

void Inventura::setObdobirok(int obdobirok)
{
    m_obdobirok = obdobirok;
}

wxString Inventura::provedl() const
{
    return m_provedl;
}

void Inventura::setProvedl(const wxString &provedl)
{
    m_provedl = provedl;
}

int Inventura::skladid() const
{
    return m_skladid;
}

void Inventura::setSkladid(int skladid)
{
    m_skladid = skladid;
}
