/***************************************************************
 * Name:      mena.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef MENA_H
#define MENA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Mena {
public:
    Mena() : m_id(-1), m_kod(""), m_nazev("") {}
    Mena(int id, const wxString &kod, const wxString &nazev);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString kod() const;
    void setKod(const wxString &kod);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
private:
    int m_id;
    wxString m_kod;
    wxString m_nazev;
};

#endif  /* MENA_H */

