/***************************************************************
 * Name:      obdobi.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef OBDOBI_H
#define OBDOBI_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Obdobi {
public:
    Obdobi() : m_rok(-1), m_current(false) {}
    Obdobi(int rok, bool current);

    bool isValid() const;
    int rok() const;
    void setRok(int rok);
    bool current() const;
    void setCurrent(bool current);
private:
    int m_rok;
    bool m_current;
};

#endif  /* OBDOBI_H */

