/***************************************************************
 * Name:      odeslany.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "odeslany.h"

Odeslany::Odeslany(int id, const wxDateTime &cas, const wxString &faktura, const wxString &prijemce)
    : m_id(id), m_cas(cas), m_faktura(faktura), m_prijemce(prijemce)
{
}

bool Odeslany::isValid() const
{
    return m_id != -1;
}

int Odeslany::id() const
{
    return m_id;
}

void Odeslany::setId(int id)
{
    m_id = id;
}

wxDateTime Odeslany::cas() const
{
    return m_cas;
}

void Odeslany::setCas(const wxDateTime &cas)
{
    m_cas = cas;
}

wxString Odeslany::faktura() const
{
    return m_faktura;
}

void Odeslany::setFaktura(const wxString &faktura)
{
    m_faktura = faktura;
}

wxString Odeslany::prijemce() const
{
    return m_prijemce;
}

void Odeslany::setPrijemce(const wxString &prijemce)
{
    m_prijemce = prijemce;
}

