/***************************************************************
 * Name:      phm.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef PHM_H
#define PHM_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Phm {
public:
    Phm() : m_id(-1) {}
    Phm(int id, const wxString &jmeno);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString jmeno() const;
    void setJmeno(const wxString &jmeno);
private:
    int m_id;
    wxString m_jmeno;
};

#endif  /* PHM_H */

