/***************************************************************
 * Name:      pokladna.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "pokladna.h"

Pokladna::Pokladna(int id, const wxString &zkratka, const wxString &popis, int menaid)
    : m_id(id), m_zkratka(zkratka), m_popis(popis), m_menaid(menaid)
{
}

bool Pokladna::isValid() const
{
    return m_id != -1;
}

int Pokladna::id() const
{
    return m_id;
}

void Pokladna::setId(int id)
{
    m_id = id;
}

wxString Pokladna::zkratka() const
{
    return m_zkratka;
}

void Pokladna::setZkratka(const wxString &zkratka)
{
    m_zkratka = zkratka;
}

wxString Pokladna::popis() const
{
    return m_popis;
}

void Pokladna::setPopis(const wxString &popis)
{
    m_popis = popis;
}

int Pokladna::menaid() const
{
    return m_menaid;
}

void Pokladna::setMenaid(int menaid)
{
    m_menaid = menaid;
}
