/***************************************************************
 * Name:      rada.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef RADA_H
#define RADA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Rada {
public:
    Rada() : m_id(wxEmptyString), m_znaku(0), m_cislo(0) {}
    Rada(const wxString &id, const wxString &popis, const wxString &prefix, int znaku, int cislo);

    bool isValid() const;
    wxString id() const;
    void setId(const wxString &id);
    wxString popis() const;
    void setPopis(const wxString &popis);
    wxString prefix() const;
    void setPrefix(const wxString &prefix);
    int znaku() const;
    void setZnaku(int znaku);
    int cislo() const;
    void setCislo(int cislo);
private:
    wxString m_id;
    wxString m_popis;
    wxString m_prefix;
    int m_znaku;
    int m_cislo; //definuje cislo dokladu k pouziti
};

#endif  /* RADA_H */

