/***************************************************************
 * Name:      settings.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Settings {
public:
    Settings() : m_rok(-1), m_splatnost(0) {}
    Settings(int rok, int splatnost);

    bool isValid() const;
    int rok() const;
    void setRok(int rok);
    int splatnost() const;
    void setSplatnost(int splatnost);
private:
    int m_rok;
    int m_splatnost;
};

#endif  /* SETTINGS_H */

